Skip to content

Compare two templates
GA

Request

Compare two templates.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

templateNamestringrequired

The unique name of the template.

languageCodestring(WhatsappTemplateLanguagesEnum)required

The language code of the specific template.

Enum:"AF""AR""AZ""BG""BN""CA""CS""DA""DE""EL"
Bodyapplication/jsonrequired

Compare data

templatesArray of objects, = 1 items(WhatsappInputTemplateCompareIdentifierDto)required

List of templates

timeframestring(WhatsappInputTemplateCompareTimeframes)

Timeframes are limited to 7, 30, 60 and 90 day lookbacks from the time of the request

Default:"7"
Enum:"30""60""7""90"
endTimestampnumber, (timestamp)

End of timeframe (default: now)

Example body request compare templates.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}/compare' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "templates": [
      {
        "templateName": "templateName2",
        "templateLanguage": "PL"
      }
    ],
    "timeframe": "60",
    "endTimestamp": 1694612898734
  }'

Responses

Compared template response

Bodyapplication/json
templatesArray of objects(WhatsappTemplateCompareIdentifierDto)required

List of templates

Response

Response when successfully compared templates.

{ "templates": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: